View Issue Details

IDProjectCategoryView StatusLast Update
0005807GNUnetreclaimpublic2019-11-08 11:29
ReporterschanzenAssigned Topagkopoulou 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.11.7Fixed in Version0.11.7 
Summary0005807: Implement OpenID PKCE in reclaim
DescriptionSee here: https://tools.ietf.org/html/draft-ietf-oauth-security-topics-13#section-3.1.1
And here: https://www.oauth.com/oauth2-servers/pkce/
And here: https://tools.ietf.org/html/rfc7636

While not security-relevant for reclaim, the protocol must support it to stay compliant.
TagsNo tags attached.

Activities

schanzen

2019-09-05 16:04

manager   ~0014862

Fixed.

schanzen

2019-11-08 11:29

manager   ~0015069

housekeeping

Issue History

Date Modified Username Field Change
2019-07-19 11:21 schanzen New Issue
2019-07-19 18:30 schanzen Assigned To => pagkopoulou
2019-07-19 18:30 schanzen Status new => assigned
2019-09-05 16:04 schanzen Fixed in Version => 0.11.7
2019-09-05 16:04 schanzen Target Version => 0.11.7
2019-09-05 16:04 schanzen Status assigned => resolved
2019-09-05 16:04 schanzen Resolution open => fixed
2019-09-05 16:04 schanzen Note Added: 0014862
2019-11-08 11:29 schanzen Note Added: 0015069
2019-11-08 11:29 schanzen Status resolved => closed